Package com.enonic.xp.schema.content

## Class ContentTypeFilter

- java.lang.Object
- - com.enonic.xp.schema.content.ContentTypeFilter

- All Implemented Interfaces:
    `Iterable<ContentTypeName>`

      @PublicApi
      public final class ContentTypeFilter
      extends Object
      implements Iterable<ContentTypeName>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentTypeFilter.AccessType` |
    `static class` | `ContentTypeFilter.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentTypeFilter​(ContentTypeFilter.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentTypeFilter.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `ContentTypeFilter.AccessType` | `getDefaultAccess()` |
    `int` | `hashCode()` |
    `boolean` | `isContentTypeAllowed​(ContentTypeName contentType)` |
    `Iterator<ContentTypeName>` | `iterator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ContentTypeFilter

          public ContentTypeFilter​(ContentTypeFilter.Builder builder)

  - ### Method Detail

    - #### getDefaultAccess

          public ContentTypeFilter.AccessType getDefaultAccess()

    - #### isContentTypeAllowed

          public boolean isContentTypeAllowed​(ContentTypeName contentType)

    - #### iterator

          public Iterator<ContentTypeName> iterator()

      Specified by:
        `iterator` in interface `Iterable<ContentTypeName>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### create

          public static ContentTypeFilter.Builder create()